# Uses of Interface
org.apache.sling.spi.resource.provider.ResourceContext

Packages that use ResourceContext
Package
Description
org.apache.sling.spi.resource.provider

## Uses of ResourceContext in org.apache.sling.spi.resource.provider

Fields in org.apache.sling.spi.resource.provider declared as ResourceContext
Modifier and Type
Field
Description
`static final ResourceContext`
ResourceContext.`EMPTY_CONTEXT`
"Empty" instance, not providing any additional information.
Methods in org.apache.sling.spi.resource.provider with parameters of type ResourceContext
Modifier and Type
Method
Description
`abstract @Nullable Resource`
ResourceProvider.`getResource(@NotNull ResolveContext<T> ctx, @NotNull String path, @NotNull ResourceContext resourceContext, @Nullable Resource parent)`
Returns a resource from this resource provider or `null` if the resource provider cannot find it.